PUTFIELD (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.generic

## Class PUTFIELD

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.CPInstruction
    - - org.apache.bcel.generic.FieldOrMethod
      - - org.apache.bcel.generic.FieldInstruction
        - - org.apache.bcel.generic.PUTFIELD

- All Implemented Interfaces:
    Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, PopInstruction, StackConsumer, TypedInstruction

      public class PUTFIELD
      extends FieldInstruction
      implements PopInstruction, ExceptionThrower

  PUTFIELD - Put field in object

       Stack: ..., objectref, value -> ...

  OR

       Stack: ..., objectref, value.word1, value.word2 -> ...

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.CPInstruction

      `index`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PUTFIELD(int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).
    `int` | `consumeStack(ConstantPoolGen cpg)` This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
    `Class<?>[]` | `getExceptions()`

    - ### Methods inherited from class org.apache.bcel.generic.FieldInstruction

      `getFieldName, getFieldSize, getFieldType, getType, toString`

    - ### Methods inherited from class org.apache.bcel.generic.FieldOrMethod

      `getClassName, getClassType, getLoadClassType, getName, getReferenceType, getSignature`

    - ### Methods inherited from class org.apache.bcel.generic.CPInstruction

      `dump, getIndex, initFromFile, setIndex, toString`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PUTFIELD

          public PUTFIELD(int index)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Specified by:
        `accept` in class `Instruction`
      Parameters:
        `v` - Visitor object

    - #### consumeStack

          public int consumeStack(ConstantPoolGen cpg)

      Description copied from class: `Instruction`
      This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
      Specified by:
        `consumeStack` in interface `StackConsumer`
      Overrides:
        `consumeStack` in class `Instruction`
      Returns:
        Number of words consumed from stack by this instruction, or Constants.UNPREDICTABLE, if this can not be computed statically

    - #### getExceptions

          public Class<?>[] getExceptions()

      Specified by:
        `getExceptions` in interface `ExceptionThrower`

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.